Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004937OCamlCamlp4public2009-12-10 13:012012-09-25 20:06
Reporterpveber 
Assigned Toxclerc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.1 
Target VersionFixed in Version3.12.1+dev 
Summary0004937: Bad interaction between camlp4o and optional arguments
DescriptionThe following program is incorrectly preprocessed by camlp4 :

~ 12:59:36 $ cat rien.mli
type option = int
val f : ?l:bool -> unit
~ 12:56:56 $ ocamlc -pp camlp4o -c rien.mli
File "rien.mli", line 2, characters 8-23:
Error: The type constructor option expects 0 argument(s),
       but is here applied to 1 argument(s)

Sorry I couldn't guess the source of the problem !
ph.
TagsNo tags attached.
Attached Files

- Relationships
related to 0004884closed optional argument does not work when Some is redefined 

-  Notes
(0005192)
pveber (reporter)
2009-12-10 13:26

Yes the problem appears to be similar to issue 4884 (apologies for missing that one), but I should stress that in my case camlp4 is necessary for the problem to appear :

ocamlc -c rien.mli

works just fine. Anyway thanks for this lightning-fast reaction !
ph.

- Issue History
Date Modified Username Field Change
2009-12-10 13:01 pveber New Issue
2009-12-10 13:01 pveber Status new => assigned
2009-12-10 13:01 pveber Assigned To => ertai
2009-12-10 13:21 xclerc Relationship added related to 0004884
2009-12-10 13:26 pveber Note Added: 0005192
2011-09-08 14:10 xclerc Assigned To ertai => xclerc
2011-09-08 14:11 xclerc Status assigned => resolved
2011-09-08 14:11 xclerc Fixed in Version => 3.12.1+dev
2011-09-08 14:11 xclerc Resolution open => fixed
2012-09-25 20:06 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker